跳转到主要内容
GET
List events in a window

请求规范

  • 方法与路径: GET /apis/v1/social/calendar/events
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/social/calendar/events
  • accountId: query; 必填
  • calendarId: query; 可选
  • from: query; 必填
  • to: query; 必填
  • title: query; 可选
  • location: query; 可选
  • showCancelled: query; 可选
  • expandRecurring: query; 可选
  • icalUid: query; 可选
  • sortOrder: query; 可选
  • cursor: query; 可选
  • limit: query; 可选
  • timezone: query; 可选
  • Runtime 事实版本: 99acb5bddbedc8d3352e7c4fef86c3e6d8852c14772bcd18dbcf415237a642bd
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

accountId
string
必填

One of your social accounts (acc_...).

Pattern: ^acc_[0-9A-Za-z]{22}$
calendarId
string

Defaults to the primary calendar.

from
string<date-time>
必填
to
string<date-time>
必填
title
string
location
string
showCancelled
boolean
默认值:false
expandRecurring
boolean
默认值:true
icalUid
string
sortOrder
enum<string>
默认值:asc
可用选项:
asc,
desc
cursor
string
limit
integer
默认值:50
必填范围: 1 <= x <= 200
timezone
string

IANA zone the start and end offsets are rendered in. Default UTC.

响应

Events

data
object[]
pagination
object